@echo off

rem This file imports CSV data to a SQL Server database

rem Before use:
rem 1. Edit BULK SQL statements in bin\*.sql files
rem 2. Edit the sqlcmd command below

goto END

call :IMPORT bin\mssql-import-MsnMoneyHistoricalPricesDaily.sql     csv\MsnMoneyHistoricalPricesDaily.csv
call :IMPORT bin\mssql-import-MsnMoneyHistoricalPricesWeekly.sql    csv\MsnMoneyHistoricalPricesWeekly.csv
call :IMPORT bin\mssql-import-MsnMoneyHistoricalPricesMonthly.sql   csv\MsnMoneyHistoricalPricesMonthly.csv
call :IMPORT bin\mssql-import-MsnMoneyIntradayPrices1m.sql          csv\MsnMoneyIntradayPrices1m.csv
call :IMPORT bin\mssql-import-MsnMoneyIntradayPrices5m.sql          csv\MsnMoneyIntradayPrices5m.csv
call :IMPORT bin\mssql-import-MsnMoneyIntradayPrices15m.sql         csv\MsnMoneyIntradayPrices15m.csv
call :IMPORT bin\mssql-import-MsnMoneyOptions.sql                   csv\MsnMoneyOptions.csv
call :IMPORT bin\mssql-import-MsnMoneyQuotes.sql                    csv\MsnMoneyQuotes.csv
call :IMPORT bin\mssql-import-YahooAssetProfiles.sql                csv\YahooAssetProfiles.csv
call :IMPORT bin\mssql-import-YahooQuoteSummary.sql                 csv\YahooQuoteSummary.csv
call :IMPORT bin\mssql-import-YahooQuoteSummaryETF.sql              csv\YahooQuoteSummaryETF.csv
call :IMPORT bin\mssql-import-YahooHistoricalPricesDaily.sql        csv\YahooHistoricalPricesDaily.csv
call :IMPORT bin\mssql-import-YahooHistoricalPricesWeekly.sql       csv\YahooHistoricalPricesWeekly.csv
call :IMPORT bin\mssql-import-YahooHistoricalPricesMonthly.sql      csv\YahooHistoricalPricesMonthly.csv
call :IMPORT bin\mssql-import-YahooIntradayPrices1m.sql             csv\YahooIntradayPrices1m.csv
call :IMPORT bin\mssql-import-YahooIntradayPrices5m.sql             csv\YahooIntradayPrices5m.csv
call :IMPORT bin\mssql-import-YahooIntradayPrices15m.sql            csv\YahooIntradayPrices15m.csv
call :IMPORT bin\mssql-import-YahooIntradayPrices60m.sql            csv\YahooIntradayPrices60m.csv
call :IMPORT bin\mssql-import-YahooOptions.sql                      csv\YahooOptions.csv

if .%1.==.nopause. goto END

pause

goto END


:IMPORT

rem %1 - an sql file
rem %2 - an csv file
rem %3 - a file to delete if the command succeed

if not exist %1 goto END
if not exist %2 goto END

echo %2

sqlcmd -S .\SQLEXPRESS -E -d MarketData -i %1

if errorlevel 1 goto END

del %2

if .%3.==.. goto END

if exist %3 del %3

goto END


:END
